import {Component, OnInit} from '@angular/core';
import {PoblacioModel} from './model/poblacio-model';
import {FormControl} from '@angular/forms';
import {PoblacioService} from './services/poblacio-service';
import {Router} from '@angular/router';


export class Poblacio {
  constructor(public name: string) {
  }
}

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit {

  visible: boolean;
  poblacions: PoblacioModel[];
  poblacio: PoblacioModel;
  text: string;
  rol: string;
  id: string;
  idUbication: string;

  populationCtrl: FormControl;

  constructor(private poservice: PoblacioService, private router: Router) {
    this.populationCtrl = new FormControl();
  }

  ngOnInit() {
    this.visible = false;
    this.poservice.getAllPoblacions().subscribe(response => {
      this.poblacions = response;
    });

    this.text = 'Usuari';
    this.rol = sessionStorage.getItem('rol');
    this.id = sessionStorage.getItem('id');
    if (this.rol) {
      this.text = 'Desconnectar';
    }
  }

  showInput() {
    this.visible = this.visible === false ? true : false;
  }

  logout() {
    window.location.reload();
    sessionStorage.clear();
  }

  cleanSearch() {
    if (sessionStorage.getItem('lat')) {
      sessionStorage.removeItem('lat');
    }
    if (sessionStorage.getItem('lon')) {
      sessionStorage.removeItem('lon');
    }
    this.router.navigate(['/inici']);
    window.location.reload();
  }

  cercaPoblacio() {
    this.poservice.getPoblacio(this.idUbication).subscribe(response => {
      this.poblacio = response;
      sessionStorage.setItem('lat', this.poblacio[0].latitud);
      sessionStorage.setItem('lon', this.poblacio[0].longitud);
      this.router.navigate(['/inici']);
      window.location.reload();
    });
  }

}
