import { Component, OnInit, Input } from '@angular/core';
import {PuntModel} from '../../model/punt-model';

@Component({
  selector: 'app-resultat-element',
  templateUrl: './resultat-element.component.html',
  styleUrls: ['./resultat-element.component.css']
})
export class ResultatElementComponent implements OnInit {

  @Input() punt: PuntModel;
  @Input() mostraImatge: boolean;

  lat: number;
  lng: number;
  location = {};
  error = false;

  constructor() { }

  ngOnInit() {
    if (sessionStorage.getItem('lat')) {
      this.lat = Number(sessionStorage.getItem('lat'));
      this.lng = Number(sessionStorage.getItem('lon'));
    }else if (navigator.userAgent.toLowerCase().indexOf('edge') > -1) {
      if (navigator.geolocation) {
        navigator.geolocation.getCurrentPosition(position => {
          this.location = position.coords;
          this.lat = position.coords.latitude;
          this.lng = position.coords.longitude;
        });
      } else {
        this.lat = 41.984200;
        this.lng = 2.823900;
      }
    } else {
      this.lat = 41.984200;
      this.lng = 2.823900;
    }
  }
}
