import { Component, OnInit } from '@angular/core';
import {Location} from '@angular/common';
import {CommentModel} from '../../../../model/comment-model';
import {PuntService} from '../../../../services/punt-service';

@Component({
  selector: 'app-admin-comentaris',
  templateUrl: './comentaris.component.html'
})
export class AdminComentarisComponent implements OnInit {

  comentaris: CommentModel[];

  settings = {
    actions: {
      add: false,
      columnTitle: 'Accions',
      position: 'right'
    },
    edit: {
      confirmSave: true,
      editButtonContent: 'Editar',
      saveButtonContent: 'Guardar',
      cancelButtonContent: 'Cancelar',
    },
    delete: {
      confirmDelete: true,
      deleteButtonContent: 'Suprimir'
    },
    columns: {
      id: {
        title: 'ID',
        editable: false,
        addable: false
      },
      comentari: {
        title: 'Comentari'
      },
      puntuacio: {
        title: 'Puntuacio'
      },
      principal: {
        title: 'Comentari principal',
        editable: false
      },
      id_punt: {
        title: 'Punt referent',
        editable: false,
        addable: false
      },
      id_usuari: {
        title: 'Usuari',
        editable: false,
        adable: false,
      },
    }
  };

  constructor(private _loc: Location, private pservice: PuntService) { }

  ngOnInit() {
    this.pservice.getAllComments().subscribe( response => {
      this.comentaris = response;
    });
  }

  goBack() {
    this._loc.back();
  }

  onSaveConfirm(event) {
    if (window.confirm('Estas segur que vols actualitzar aquest comentari?')) {
      event.confirm.resolve(event.newData);
      const comentari = event.newData;
      this.pservice.updateComment(comentari).subscribe(resolve => console.log('Comentari modificat!'));
    } else {
      event.confirm.reject();
    }
  }

  onDeleteConfirm(event) {
    if (window.confirm('Estas segur que el vols eliminar?')) {
      event.confirm.resolve(event.newData);
      const comment = event.data;
      this.pservice.deleteComment(comment).subscribe(resolve => console.log('Comentari eliminat!'));
    } else {
      event.confirm.reject();
    }
  }
}
