import { Component, OnInit } from '@angular/core';
import {Location} from '@angular/common';
import {UserService} from '../../../../services/user-service';
import {UserModel} from '../../../../model/user-model';

@Component({
  selector: 'app-usuaris',
  templateUrl: './usuaris.component.html'
})
export class UsuarisComponent implements OnInit {

  usuaris: UserModel[];

  settings = {
    actions: {
      delete: false,
      add: false,
      columnTitle: 'Accions',
      position: 'right'
    },
    edit: {
      confirmSave: true,
      editButtonContent: 'Editar',
      saveButtonContent: 'Guardar',
      cancelButtonContent: 'Cancelar',
    },
    columns: {
      id: {
        title: 'ID',
        editable: false,
        addable: false
      },
      nom: {
        title: 'Nom'
      },
      cognom1: {
        title: 'Primer cognom'
      },
      cognom2: {
        title: 'Segon cognom'
      },
      email: {
        title: 'Email'
      },
      rol: {
        title: 'Rol',
        filter: {
          type: 'checkbox',
          config: {
            true: '1',
            false: '0'
          }
        },
        editor: {
          type: 'checkbox',
          config: {
            true: '1',
            false: '0'
          }
        }
      }
    }
  };

  constructor(private _loc: Location, private uservice: UserService) { }

  ngOnInit() {
    this.uservice.getAllUsers().subscribe( response => {
      this.usuaris = response;
    });
  }

  goBack() {
    this._loc.back();
  }

  onSaveConfirm(event) {
    if (window.confirm('Estas segur que vols actualitzar aquest ususari?')) {
      event.confirm.resolve(event.newData);
      const user = event.newData;
      this.uservice.updateUser(user).subscribe(resolve => console.log('Usuari modificat!'));
    } else {
      event.confirm.reject();
    }
  }
}
