import {Component, OnInit} from '@angular/core';
import {PoblacioService} from '../../../services/poblacio-service';
import {PoblacioModel} from '../../../model/poblacio-model';
import {PuntModel} from '../../../model/punt-model';
import {PuntService} from '../../../services/punt-service';
import {Router} from '@angular/router';

@Component({
  selector: 'app-afegeix',
  templateUrl: './afegeix.component.html',
  styleUrls: ['./afegeix.component.css']
})
export class AfegeixComponent implements OnInit {

  lat: number;
  lon: number;
  poblacions: PoblacioModel[];
  punt = new PuntModel();

  constructor(private poservice: PoblacioService, private pservice: PuntService, private router: Router) {
  }

  ngOnInit() {
    this.poservice.getAllPoblacions().subscribe(response => {
      this.poblacions = response;
    });
    this.punt.id_usuari = Number(sessionStorage.getItem('id'));
  }
  proposePoint() {
    console.log(this.punt);
    if (this.punt) {
      this.pservice.createPoint(this.punt).subscribe(
        resolve => {
          alert('Punt afegit correctament!');
          this.router.navigate(['/punts-proposats/' + this.punt.id_usuari]);
          window.location.reload();
        },
        error => console.log('error')
      );
    }
  }
}
