import {Component, OnInit} from '@angular/core';
import {HttpClient} from '@angular/common/http';
import {ActivatedRoute} from '@angular/router';

@Component({
  selector: 'app-punts-proposats',
  templateUrl: './punts-proposats.component.html',
  styleUrls: ['./punts-proposats.component.css']
})
export class PuntsProposatsComponent implements OnInit {

  points: Punt[];
  id: number;
  private sub: any;
  error = false;

  constructor(private http: HttpClient, private route: ActivatedRoute) {
  }

  ngOnInit() {
    this.sub = this.route.params.subscribe(params => {
      this.id = +params['id'];
    });

    this.getUserPoints();
  }

  getUserPoints(): void {
    // LOCAL
    this.http.get('http://deacatalunya.cat/deacatalunya/getUserPoints.php?id=' + this.id).subscribe((data: Punt[]) => {
      this.points = data;
    }, error => this.error = true);
  }
}

export interface Punt {
  id: string;
  carrer: string;
  cp: string;
  longitud: string;
  latitud: string;
  validat: boolean;
  poblacio: string;
  usuari: string;
}
