import {Component, Input, OnInit} from '@angular/core';
import {PuntService} from '../../../../services/punt-service';
import {CommentModel} from '../../../../model/comment-model';

@Component({
  selector: 'app-recompte',
  templateUrl: './recompte.component.html',
  styleUrls: ['./recompte.component.css']
})
export class RecompteComponent implements OnInit {

  @Input() punt;
  comments: CommentModel[];
  positius: number;
  negatius: number;

  constructor(private pservice: PuntService) {
  }

  ngOnInit() {
    this.positius = 0;
    this.negatius = 0;
    this.pservice.getPointComments(this.punt.id).subscribe(response => {
      this.comments = response;
      for (const com of this.comments) {
        console.log(com.puntuacio);
        if (com.puntuacio === '1') {
          this.positius++;
        } else if (com.puntuacio === '0') {
          this.negatius++;
        }
      }
    });
  }

}
