import { Component, OnInit } from '@angular/core';
import {HttpClient} from '@angular/common/http';
import { ActivatedRoute } from '@angular/router';
import {Location} from '@angular/common';
import {PuntModel} from '../../model/punt-model';
import {PuntService} from '../../services/punt-service';

@Component({
  selector: 'app-detall',
  templateUrl: './detall.component.html',
  styleUrls: ['./detall.component.css']
})
export class DetallComponent implements OnInit {

  puntObt: PuntModel;
  id: number;
  private sub: any;
  lat: number;
  lng: number;
  location = {};

  constructor(private http: HttpClient, private route: ActivatedRoute, private _location: Location, private pservice: PuntService) {
  }

  ngOnInit() {
    this.sub = this.route.params.subscribe(params => {
      this.id = +params['id'];
    });

    if (navigator.userAgent.toLowerCase().indexOf('edge') > -1) {
      if (navigator.geolocation) {
        navigator.geolocation.getCurrentPosition(position => {
          this.lat = position.coords.latitude;
          this.lng = position.coords.longitude;
        });
      } else {
        this.lat = 41.984200;
        this.lng = 2.823900;
      }
    } else {
      this.lat = 41.984200;
      this.lng = 2.823900;
    }
    this.pservice.getPoint(this.id).subscribe(response => {
      this.puntObt = response;
    });
  }

  goBack() {
    this._location.back();
  }

}
