import {Component, OnInit} from '@angular/core';
import {FormControl, Validators} from '@angular/forms';
import {UserModel} from '../../model/user-model';
import {UserService} from '../../services/user-service';
import {Router} from '@angular/router';

@Component({
  selector: 'app-registre',
  templateUrl: './registre.component.html',
  styleUrls: ['./registre.component.css']
})
export class RegistreComponent implements OnInit {

  usuari = new UserModel();
  password_compare: string;
  nom = new FormControl('', [Validators.required, Validators.min(2)])
  email = new FormControl('', [Validators.required, Validators.email]);
  password = new FormControl('', [Validators.required, Validators.min(6)])

  constructor(private uservice: UserService, private router: Router) {
  }

  ngOnInit() {
  }

  getEmailError() {
    return this.email.hasError('required') ? "Has d'introduïr un email correcte" :
      this.email.hasError('email') ? 'El correu electrònic no és correcte' :
        '';
  }

  getNomError() {
    return this.nom.hasError('required') ? "Has d'introduïr un nom correcte" :
      this.nom.hasError('min') ? 'El nom ha de tenir com a mínim 4 caràcters' :
        '';
  }

  getPasswordError() {
    return this.password.hasError('required') ? "Mínim 6 caràcters" :
      this.password.hasError('min') ? 'La contrasenya ha de tenir com a mínim 6 caràcters' :
        '';
  }

  createUser() {
    if (this.usuari.nom && this.usuari.email && this.usuari.password) {
      this.uservice.createUser(this.usuari).subscribe(
        resolve => {
          alert('usuari creat, ja pots accedir');
          this.router.navigate(['/accedir']);
          window.location.reload();
        },
        error => console.log('error')
      );
    }
  }

}
