import {Injectable} from '@angular/core';
import {HttpClient, HttpHeaders} from '@angular/common/http';
import {Observable} from 'rxjs/Observable';
import {PoblacioModel} from '../model/poblacio-model';

@Injectable()
export class PoblacioService {
  private headers = new HttpHeaders({'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'});

  constructor(private http: HttpClient) {
  }

  getAllPoblacions(): Observable<PoblacioModel[]> {
    return this.http.get('http://deacatalunya.cat/deacatalunya/getAllPoblacions.php')
      .map((res => {
        return res as PoblacioModel[];
      }));
  }

  getPoblacio(id): Observable<PoblacioModel> {
    return this.http.get('http://deacatalunya.cat/deacatalunya/getPoblacio.php?id=' + id)
      .map((res => {
        return res as PoblacioModel;
      }));
  }

  createPopulation(population): Observable<object> {
    const url = 'http://deacatalunya.cat/deacatalunya/createPopulation.php';
    return this.http.post(url, population, {headers: this.headers})
      .map(res => {
        return res;
      });
  }

  updatePopulation(population): Observable<object> {
    const url = 'http://deacatalunya.cat/deacatalunya/updatePopulation.php';
    return this.http.post(url, population, {headers: this.headers})
      .map(res => {
        return res;
      });
  }
}
