import {Injectable} from '@angular/core';
import {HttpClient, HttpHeaders} from '@angular/common/http';
import {Observable} from 'rxjs/Observable';
import {UserModel} from '../model/user-model';

@Injectable()
export class UserService {
  private headers = new HttpHeaders({'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'});

  constructor(private http: HttpClient) {
  }

  getAllUsers(): Observable<UserModel[]> {
    return this.http.get('http://deacatalunya.cat/deacatalunya/getAllUsers.php')
      .map((res => {
        return res as UserModel[];
      }));
  }

  createUser(user): Observable<object> {
    const url = 'http://deacatalunya.cat/deacatalunya/createUser.php';
    return this.http.post(url, user, {headers: this.headers})
      .map(res => {
        return res;
      });
  }

  updateUser(user): Observable<object> {
    const url = 'http://deacatalunya.cat/deacatalunya/updateUser.php';
    return this.http.post(url, user, {headers: this.headers})
      .map(res => {
        return res;
      });
  }

  getUser(email, password): Observable<UserModel> {
    return this.http.get('http://deacatalunya.cat/deacatalunya/getUser.php?email=' + email + '&password=' + password)
      .map(res => {
        return res as UserModel;
      });
  }
}
